Bug 255763 - net/ceph14: Update to 14.2.20
Summary: net/ceph14: Update to 14.2.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-10 22:25 UTC by Willem Jan Withagen
Modified: 2021-05-18 05:02 UTC (History)
4 users (show)

See Also:


Attachments
git diff of the upgrade to 14.2.20 (13.94 KB, patch)
2021-05-10 22:25 UTC, Willem Jan Withagen
no flags Details | Diff
fix compile error in ceph14 with snappy (574 bytes, patch)
2021-05-11 12:35 UTC, Willem Jan Withagen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Willem Jan Withagen 2021-05-10 22:25:18 UTC
Created attachment 224823 [details]
git diff of the upgrade to 14.2.20

Most recent version of the net/ceph14 port.
Works with python 3.8

Has passed:
    portline -A
    poudriere testport

Git diff attached.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-11 01:37:11 UTC
Thank you Willem!

Should this be merged to the quarterly branch?
Comment 2 Willem Jan Withagen 2021-05-11 08:27:25 UTC
(In reply to Kubilay Kocak from comment #1)

Well, I'm getting reports that the previous version no longer builds.
So I guess that ATM is is hard to test Ceph.
And that would call for adding it to the quarterly.

OTOH I made it fit in with the direction python is going in ports.
So it may depend what is packaged when, but my guess is that it is oke there.
Comment 3 Dima Panov freebsd_committer 2021-05-11 12:26:58 UTC
(In reply to Willem Jan Withagen from comment #2)
Willem, ceph fails to build due to recent snappy release. Fix should be a trivial
Comment 4 Willem Jan Withagen 2021-05-11 12:35:17 UTC
Created attachment 224843 [details]
fix compile error in ceph14 with snappy
Comment 6 Willem Jan Withagen 2021-05-11 12:54:09 UTC
(In reply to Dima Panov from comment #5)

Right, this had bitten me a few times before.
Somebody graceously fixes the port.
But then I forget to check if any extras need to be taken back in my tree to prevent these types of errors.

Weird thing is that as maintainer I do not get any notices if a third person updates the port, for whatever reason. I do not complain about people fixing the port, but more about "the system" not triggering me about a change.

But hey, cant have it all.

But does that fix your build error?
Comment 7 Dima Panov freebsd_committer 2021-05-11 13:05:11 UTC
(In reply to Willem Jan Withagen from comment #6)
Yep, port now builds fine after patch (and why I've committed it to ports directly)

Willem, btw, did u even try to build ceph with recent boost (https://github.com/fluffykhv/freebsd-ports-boost)?
Comment 8 Dima Panov freebsd_committer 2021-05-11 13:06:01 UTC
(In reply to Willem Jan Withagen from comment #6)
If u wish, I can co-maintain it :)
Comment 9 Willem Jan Withagen 2021-05-11 13:28:39 UTC
(In reply to Dima Panov from comment #7)

I'm currently building the newer versions with 1.75, and that seems to work during tests. So I guess 1.76 will also work.

But I asked the question on 1.75, which did not deliver a ready answer.
And I needed to get 14.2.x fixed, so that one is left for a later commit.
Comment 10 Willem Jan Withagen 2021-05-11 13:29:14 UTC
(In reply to Dima Panov from comment #8)

If you want, feel free to do so.
Comment 11 Willem Jan Withagen 2021-05-11 13:31:09 UTC
(In reply to Dima Panov from comment #7)
In reply to Willem Jan Withagen from comment #6)
Yep, port now builds fine after patch (and why I've committed it to ports directly)

Thanx for committing.
Comment 12 Dima Panov freebsd_committer 2021-05-11 13:44:30 UTC
(In reply to Willem Jan Withagen from comment #10)
Okay.

BTW, ur update's plist is already borked. You skip the %%NO_AMD64%% macro, some libs builds only for this arch.

@nc: Neel, may I ask you to pass work on this update to me?
Comment 13 Willem Jan Withagen 2021-05-11 13:47:21 UTC
(In reply to Dima Panov from comment #12)

That more or less falls within the scope of not notifying the maintainer.
And educate him about the changes made to the port.

I really totally mised out on the fixes.
Comment 14 Neel Chauhan freebsd_committer 2021-05-11 15:10:24 UTC
@Dima Panov, sure, feel free to take the update.
Comment 15 Dima Panov freebsd_committer 2021-05-11 15:50:08 UTC
(In reply to Neel Chauhan from comment #14)
Thanks, I take it.
Comment 16 commit-hook freebsd_committer 2021-05-18 00:42:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=715e14075958b553628fca5355caaf478f14ecd2

commit 715e14075958b553628fca5355caaf478f14ecd2
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-05-18 00:34:31 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-05-18 00:34:31 +0000

    net/ceph14: update to 14.2.21 release

    Introduce option WITH_TESTS which covers all test/debug tools. Currently disabled due to linking errors

    PR:             255763 (based on)
    Approved by:    maintainer (implicit)

 net/ceph14/distinfo                                | 10 ++--
 net/ceph14/files/file-git_version                  |  4 +-
 .../files/patch-src_mgr_ActivePyModules.cc (new)   | 29 ++++++++++
 .../patch-src_os_bluestore_KernelDevice.cc (new)   | 11 ++++
 .../files/patch-src_rgw_rgw_main.cc.diff (gone)    | 15 ------
 .../patch-src_test_libcephfs_lazyio.cc (gone)      | 15 ------
 net/ceph14/pkg-message                             |  8 ++-
 net/ceph14/pkg-plist                               | 63 ++++++++++------------
 8 files changed, 78 insertions(+), 77 deletions(-)
Comment 17 commit-hook freebsd_committer 2021-05-18 00:47:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=67ce935d463c530750afb8e4485c83aeb7bc30f8

commit 67ce935d463c530750afb8e4485c83aeb7bc30f8
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-05-18 00:45:57 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-05-18 00:45:57 +0000

    net/ceph14: update to 14.2.21 release

    Introduce option WITH_TESTS which covers all test/debug tools. Currently
    disabled due to linking errors

    PR: 255763 (based on)
    Approved by: maintainer (implicit)

 net/ceph14/Makefile | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)
Comment 18 commit-hook freebsd_committer 2021-05-18 00:49:15 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=61d3e84e0d6371269214ee5f6dc4c944cf30e5fa

commit 61d3e84e0d6371269214ee5f6dc4c944cf30e5fa
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-05-18 00:45:57 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-05-18 00:48:21 +0000

    net/ceph14: update to 14.2.21 release

    Introduce option WITH_TESTS which covers all test/debug tools. Currently
    disabled due to linking errors

    PR: 255763 (based on)
    Approved by: maintainer (implicit)

    (cherry picked from commit 67ce935d463c530750afb8e4485c83aeb7bc30f8)

 net/ceph14/Makefile | 28 +++++++++++++++++++---------
 1 file changed, 19 insertions(+), 9 deletions(-)
Comment 19 commit-hook freebsd_committer 2021-05-18 00:49:15 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bfeadc5a4d2e5c5da7acfcd98f5ab1ffaafd0dbd

commit bfeadc5a4d2e5c5da7acfcd98f5ab1ffaafd0dbd
Author:     Dima Panov <fluffy@FreeBSD.org>
AuthorDate: 2021-05-18 00:34:31 +0000
Commit:     Dima Panov <fluffy@FreeBSD.org>
CommitDate: 2021-05-18 00:44:13 +0000

    net/ceph14: update to 14.2.21 release

    Introduce option WITH_TESTS which covers all test/debug tools. Currently disabled due to linking errors

    PR:             255763 (based on)
    Approved by:    maintainer (implicit)

    (cherry picked from commit 715e14075958b553628fca5355caaf478f14ecd2)

 net/ceph14/distinfo                                | 10 ++--
 net/ceph14/files/file-git_version                  |  4 +-
 .../files/patch-src_mgr_ActivePyModules.cc (new)   | 29 ++++++++++
 .../patch-src_os_bluestore_KernelDevice.cc (new)   | 11 ++++
 .../files/patch-src_rgw_rgw_main.cc.diff (gone)    | 15 ------
 .../patch-src_test_libcephfs_lazyio.cc (gone)      | 15 ------
 net/ceph14/pkg-message                             |  8 ++-
 net/ceph14/pkg-plist                               | 63 ++++++++++------------
 8 files changed, 78 insertions(+), 77 deletions(-)
Comment 20 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-18 05:02:47 UTC
^Triage: This appears closed (resolved), please re-open if not.